Skip to main content
POST
/
base
/
{baseId}
/
workflow
/
{workflowId}
/
action
cURL
curl --request POST \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"name":"string","description":"string","config":null,"parentNodeId":"string","type":"sendEmail"}'
const url = 'https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"name":"string","description":"string","config":null,"parentNodeId":"string","type":"sendEmail"}'
};

try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}
const http = require('https');

const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};

const req = http.request(options, function (res) {
const chunks = [];

res.on('data', function (chunk) {
chunks.push(chunk);
});

res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});

req.write(JSON.stringify({
name: 'string',
description: 'string',
config: null,
parentNodeId: 'string',
type: 'sendEmail'
}));
req.end();
import http.client

conn = http.client.HTTPSConnection("app.teable.ai")

payload = "{\"name\":\"string\",\"description\":\"string\",\"config\":null,\"parentNodeId\":\"string\",\"type\":\"sendEmail\"}"

headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}

conn.request("POST", "/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action", payload, headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))


{
  "config": {
    "tableId": "<string>",
    "fields": {},
    "baseId": "<string>",
    "loopKey": {
      "resolvable": true,
      "type": "fact",
      "fact": "<string>",
      "path": "<string>",
      "keyStack": [
        "<string>"
      ],
      "params": {
        "pipes": []
      }
    },
    "_fieldsOrder": [
      "<string>"
    ]
  },
  "id": "<string>",
  "category": "action",
  "type": "createRecord",
  "name": "<string>",
  "description": "<string>",
  "testResult": {
    "createdTime": "<string>",
    "spent": 123,
    "inputRaw": null,
    "outputRaw": null,
    "inputVariables": {},
    "outputVariables": {},
    "errorMsg": "<string>"
  },
  "outputVariables": {},
  "inputVariables": {},
  "createdTime": "<string>",
  "lastModifiedTime": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
parentNodeId
string
required

witch node this the parent, if not provided, it is a root node

type
enum<string>
required

type of action

Available options:
sendEmail,
createRecord,
updateRecord,
httpRequest,
getRecords,
aiGenerate,
script
name
string

name of the node

description
string

description of the node

config
any | null

node configuration

Response

201 - application/json

Successful created

config
object
required
id
string
required

node id

category
enum<string>
required
Available options:
action
type
enum<string>
required

This Action will activate when a record is created in a table.

Available options:
createRecord
name
string

name of the node

description
string

description of the node

testResult
object

action test result

outputVariables
object

output variables

inputVariables
object

input variables

createdTime
string | null

created time

lastModifiedTime
string | null

last modified time

Last modified on March 5, 2026